Bug 1136597 - desktop-file-validate does not show any error when passing args to TryExec
Summary: desktop-file-validate does not show any error when passing args to TryExec
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: desktop-file-utils
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-03 01:42 UTC by Marcos Paulo
Modified: 2015-06-29 22:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:22:24 UTC
Type: Bug


Attachments (Terms of Use)

Description Marcos Paulo 2014-09-03 01:42:51 UTC
Description of problem: The TryExec entry in a .desktop cannot contain args, and desktop-file-validate does not give any error when running for a file that has TryExec with args


Version-Release number of selected component (if applicable):


How reproducible: run desktop-file-validate on a file that has TryExec with any args


Steps to Reproduce:
1. 
2.
3.

Actual results: This don't show any errors, but the application is not showed in Mate menu


Expected results: The desktop-file-validate program should warn about this problem in .desktop to help developers to write correct .desktop files


Additional info:

Comment 1 Marcos Paulo 2014-09-03 01:44:11 UTC
We currently have a .desktop invalid file in Flare game. We can see this problem in this bug entry: https://bugzilla.redhat.com/show_bug.cgi?id=1136498

Comment 2 Fedora End Of Life 2015-05-29 12:47:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2015-06-29 22:22:24 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.